summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMike Redd2015-07-05 23:21:28 -0500
committerMike Redd2015-07-05 23:21:28 -0500
commit054a5e8b431d32f35bcfb975a185cc9cd0b95a18 (patch)
tree485b341c14216327b6cb3da4ae3c8fbb1a3a0c55
downloadaur-054a5e8b431d32f35bcfb975a185cc9cd0b95a18.tar.gz
Initial import
-rw-r--r--.SRCINFO18
-rw-r--r--LICENSE10
-rw-r--r--PKGBUILD24
-rw-r--r--ttf.install16
4 files changed, 68 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..07ec447abf0
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = ttf-akashi
+ pkgdesc = Akashi is a simplified font with a futuristic touch. Angled cut aways lend the shapes a sharper
+ pkgver = 3
+ pkgrel = 1
+ url = http://tenbytwenty.com/?xxxx_posts=akashi
+ install = ttf.install
+ arch = any
+ license = custom
+ depends = fontconfig
+ depends = xorg-fonts-encodings
+ depends = xorg-font-utils
+ source = http://tenbytwenty.com/wp-content/uploads/2013/03/akashi1.zip
+ source = LICENSE
+ md5sums = ca2e4a7cda88d13125e9925efa678540
+ md5sums = 95ac5ed4027706b1cf6e1a7667c31bb4
+
+pkgname = ttf-akashi
+
diff --git a/LICENSE b/LICENSE
new file mode 100644
index 00000000000..940e4c0e3eb
--- /dev/null
+++ b/LICENSE
@@ -0,0 +1,10 @@
+Ten by Twenty License
+
+This license can also be found at this permalink: http://www.fontsquirrel.com/license/Akashi
+
+By downloading any product from Ten by Twenty, you agree to the following:
+
+-All products remain property of Ten by Twenty.
+-Products may be used by the licensee in any personal or commercial projects (royalty-free).
+-Products may not be resold or redistributed.
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..755fe3675d2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Mike Redd <mredd@0tue0.com>
+# Contributor: Mike Redd <mredd@0tue0.com>
+
+pkgname=ttf-akashi
+pkgver=3
+pkgrel=1
+pkgdesc="Akashi is a simplified font with a futuristic touch. Angled cut aways lend the shapes a sharper"
+arch=('any')
+license=('custom')
+url="http://tenbytwenty.com/?xxxx_posts=akashi"
+depends=('fontconfig' 'xorg-fonts-encodings' 'xorg-font-utils')
+install=ttf.install
+source=("http://tenbytwenty.com/wp-content/uploads/2013/03/akashi1.zip"
+ "LICENSE")
+
+md5sums=('ca2e4a7cda88d13125e9925efa678540'
+ '95ac5ed4027706b1cf6e1a7667c31bb4')
+
+package() {
+ cd $srcdir
+ install -d $pkgdir/usr/share/fonts/TTF/
+ install -m644 *.ttf $pkgdir/usr/share/fonts/TTF/ || return 1
+ install -Dm644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE
+}
diff --git a/ttf.install b/ttf.install
new file mode 100644
index 00000000000..24b98c5f9b1
--- /dev/null
+++ b/ttf.install
@@ -0,0 +1,16 @@
+post_install() {
+ echo "Updating font cache... "
+ fc-cache -f > /dev/null
+ mkfontscale /usr/share/fonts/TTF
+ mkfontdir /usr/share/fonts/TTF
+ echo " ...done."
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_install $1
+}
+